# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class InlineResponse200ArrayOfBlocks(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, block: float=None, coin_hash: str=None, worker: str=None):  # noqa: E501
        """InlineResponse200ArrayOfBlocks - a model defined in Swagger

        :param block: The block of this InlineResponse200ArrayOfBlocks.  # noqa: E501
        :type block: float
        :param coin_hash: The coin_hash of this InlineResponse200ArrayOfBlocks.  # noqa: E501
        :type coin_hash: str
        :param worker: The worker of this InlineResponse200ArrayOfBlocks.  # noqa: E501
        :type worker: str
        """
        self.swagger_types = {
            'block': float,
            'coin_hash': str,
            'worker': str
        }

        self.attribute_map = {
            'block': 'block',
            'coin_hash': 'coin-hash',
            'worker': 'worker'
        }
        self._block = block
        self._coin_hash = coin_hash
        self._worker = worker

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse200ArrayOfBlocks':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_ArrayOfBlocks of this InlineResponse200ArrayOfBlocks.  # noqa: E501
        :rtype: InlineResponse200ArrayOfBlocks
        """
        return util.deserialize_model(dikt, cls)

    @property
    def block(self) -> float:
        """Gets the block of this InlineResponse200ArrayOfBlocks.


        :return: The block of this InlineResponse200ArrayOfBlocks.
        :rtype: float
        """
        return self._block

    @block.setter
    def block(self, block: float):
        """Sets the block of this InlineResponse200ArrayOfBlocks.


        :param block: The block of this InlineResponse200ArrayOfBlocks.
        :type block: float
        """

        self._block = block

    @property
    def coin_hash(self) -> str:
        """Gets the coin_hash of this InlineResponse200ArrayOfBlocks.


        :return: The coin_hash of this InlineResponse200ArrayOfBlocks.
        :rtype: str
        """
        return self._coin_hash

    @coin_hash.setter
    def coin_hash(self, coin_hash: str):
        """Sets the coin_hash of this InlineResponse200ArrayOfBlocks.


        :param coin_hash: The coin_hash of this InlineResponse200ArrayOfBlocks.
        :type coin_hash: str
        """

        self._coin_hash = coin_hash

    @property
    def worker(self) -> str:
        """Gets the worker of this InlineResponse200ArrayOfBlocks.


        :return: The worker of this InlineResponse200ArrayOfBlocks.
        :rtype: str
        """
        return self._worker

    @worker.setter
    def worker(self, worker: str):
        """Sets the worker of this InlineResponse200ArrayOfBlocks.


        :param worker: The worker of this InlineResponse200ArrayOfBlocks.
        :type worker: str
        """

        self._worker = worker
